summaryrefslogtreecommitdiffstats
path: root/remote/rootfs/rootfs-stage32/data/opt/openslx/scripts/systemd-setup_partitions
diff options
context:
space:
mode:
Diffstat (limited to 'remote/rootfs/rootfs-stage32/data/opt/openslx/scripts/systemd-setup_partitions')
-rwxr-xr-xremote/rootfs/rootfs-stage32/data/opt/openslx/scripts/systemd-setup_partitions3
1 files changed, 2 insertions, 1 deletions
diff --git a/remote/rootfs/rootfs-stage32/data/opt/openslx/scripts/systemd-setup_partitions b/remote/rootfs/rootfs-stage32/data/opt/openslx/scripts/systemd-setup_partitions
index 4dc84828..c3813af9 100755
--- a/remote/rootfs/rootfs-stage32/data/opt/openslx/scripts/systemd-setup_partitions
+++ b/remote/rootfs/rootfs-stage32/data/opt/openslx/scripts/systemd-setup_partitions
@@ -127,7 +127,8 @@ done
# space, thus no normal filesystem will be incidentally deleted or
# corrupted
HAVE_TEMP=no
-for PART_DEV in $(get_all_with_id 44); do
+for PART_DEV in $(get_all_with_id 44) "/dev/disk/by-partlabel/OpenSLX-ID44"; do
+ [ -e "$PART_DEV" ] || continue # Since OpenSLX-ID44 is hard-coded and might not exist
# check for supported filesystem and formatter
if format_disk "$PART_DEV"; then
# echo "$PART_DEV is mounted to /mnt/tmp at $(sysup)" >/tmp/tmpready